> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squarecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Blob Delete Objects

> Cette documentation fournit un aperçu complet de l'endpoint DELETE /v1/objects de l'API SquareCloud Blob.

<ParamField header="Authorization" type="string" placeholder="API Key" required>
  La clé d'API de votre compte. Vous pouvez la trouver dans les [paramètres de votre compte](https://squarecloud.app/fr/account/security).
</ParamField>

<ParamField body="object" type="string" placeholder="Object name" required>
  Le nom de l'objet à supprimer. Le nom de l'objet doit respecter le motif suivant : `a to z, A to Z, 0 to 9, and _`.

  ```json theme={null}
  { "object": "ID/prefix/name1_ltq7b2sw-de6241.jpeg" }
  ```
</ParamField>

### Réponse

<ResponseField name="status" type="string">
  Indique si l'appel a réussi. "success" en cas de succès, "error" sinon.
</ResponseField>

<ResponseExample>
  ```json theme={null}
  {
    "status": "success"
  }
  ```
</ResponseExample>

### Dépannage

<Tabs>
  <Tab title="Code de statut 400">
    ### Lié à l'objet

    <CodeGroup>
      ```json INVALID_BODY theme={null}
      // The request body is missing or is not a valid JSON object.
      {
          "status": "error",
          "code": "INVALID_BODY"
      }
      ```

      ```json INVALID_OBJECT theme={null}
      // The provided object name is invalid.
      {
          "status": "error",
          "code": "INVALID_OBJECT"
      }
      ```

      ```json FAILED_DELETE theme={null}
      // The request to delete the objects failed. Please try again.
      {
          "status": "error",
          "code": "FAILED_DELETE"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="Code de statut 401">
    ### Non autorisé

    <CodeGroup>
      ```json ACCESS_DENIED theme={null}
      // The API key is missing or invalid. Set a valid key in the Authorization header.
      {
          "status": "error",
          "code": "ACCESS_DENIED"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="Code de statut 404">
    ### Introuvable

    <CodeGroup>
      ```json OBJECT_NOT_FOUND theme={null}
      // The object you are trying to delete does not exist.
      {
          "status": "error",
          "code": "OBJECT_NOT_FOUND"
      }
      ```
    </CodeGroup>
  </Tab>

  <Tab title="Code de statut 429">
    ### Limite de débit atteinte

    <CodeGroup>
      ```json RATELIMIT theme={null}
      // Delete rate limit reached (max 1 delete per second).
      {
          "status": "error",
          "code": "RATELIMIT"
      }
      ```
    </CodeGroup>
  </Tab>
</Tabs>
